Index: ReserveNGo-frontend/src/components/Project/Auth/login_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Auth/login_.vue	(revision 903697b124d8379847adf185dcc1da92812e1641)
+++ ReserveNGo-frontend/src/components/Project/Auth/login_.vue	(revision ef41689e866fa7f9ac5b235ab5620f05d907c526)
@@ -56,5 +56,6 @@
         .then((data) => (this.managerLocalId = data.id))
         .then(()=>router.push(`/more_details/${this.managerLocalId}`))
-        .catch((err) => console.log(err));
+        .catch((err) => {console.log("LOCALE NOT ASSIGNED", err);
+                        router.push('/more_details/')});
 
     }
Index: ReserveNGo-frontend/src/components/Project/Customer/Profile_Page.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Customer/Profile_Page.vue	(revision 903697b124d8379847adf185dcc1da92812e1641)
+++ ReserveNGo-frontend/src/components/Project/Customer/Profile_Page.vue	(revision ef41689e866fa7f9ac5b235ab5620f05d907c526)
@@ -32,7 +32,7 @@
           },
           body: JSON.stringify({
-            firstName: this.newFirstName,
-            lastName: this.newLastName,
-            phoneNumber: this.newPhoneNumber,
+            firstName: this.profileData.firstName,
+            lastName: this.profileData.lastName,
+            phoneNumber: this.profileData.phoneNumber,
           }),
         })
@@ -51,5 +51,5 @@
             Authorization: this.userStore_.getToken,
           },
-          body: JSON.stringify({ newEmail: this.newEmail }),
+          body: JSON.stringify({ newEmail: this.profileData.email }),
         })
         const json = await response.json()
@@ -257,9 +257,9 @@
               <label for="firstName" class="form-label">First Name</label>
               <input
-                v-model="newFirstName"
+                v-model="profileData.firstName"
                 type="text"
                 id="firstName"
                 class="form-control"
-                :placeholder="userStore_.data.firstName"
+                :placeholder="profileData.firstName"
               />
             </div>
@@ -268,9 +268,9 @@
               <label for="lastName" class="form-label">Last Name</label>
               <input
-                v-model="newLastName"
+                v-model="profileData.lastName"
                 type="text"
                 id="lastName"
                 class="form-control"
-                :placeholder="userStore_.data.lastName"
+                :placeholder="profileData.lastName"
               />
             </div>
@@ -279,9 +279,9 @@
               <label for="phoneNumber" class="form-label">Phone Number</label>
               <input
-                v-model="newPhoneNumber"
+                v-model="profileData.phoneNumber"
                 type="text"
                 id="phoneNumber"
                 class="form-control"
-                :placeholder="userStore_.data.phoneNumber"
+                :placeholder="profileData.phoneNumber"
               />
             </div>
@@ -299,5 +299,5 @@
             <h6>Change Email</h6>
             <div class="input-group mb-3">
-              <input v-model="newEmail" type="text" class="form-control" placeholder="New Email" />
+              <input v-model="profileData.email" type="text" class="form-control" placeholder="New Email" />
               <button
                 @click="updateEmail()"
Index: ReserveNGo-frontend/src/components/Project/Manager/locale-not-assigned.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Manager/locale-not-assigned.vue	(revision ef41689e866fa7f9ac5b235ab5620f05d907c526)
+++ ReserveNGo-frontend/src/components/Project/Manager/locale-not-assigned.vue	(revision ef41689e866fa7f9ac5b235ab5620f05d907c526)
@@ -0,0 +1,11 @@
+<script setup lang="ts">
+
+</script>
+
+<template>
+<h1 class="h-100 d-flex justify-content-center align-items-center text-center">No assigned Locale</h1>
+</template>
+
+<style scoped>
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Restaurant/events_carousel.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/events_carousel.vue	(revision 903697b124d8379847adf185dcc1da92812e1641)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/events_carousel.vue	(revision ef41689e866fa7f9ac5b235ab5620f05d907c526)
@@ -77,9 +77,10 @@
   </div>-->
 
-  <div id="carouselMulti3" class="carousel slide col-12 col-md-6" data-bs-ride="carousel">
+
+  <div id="carouselMulti3" class="carousel slide col-12 col-md-8" data-bs-ride="carousel">
     <div class="carousel-inner">
       <div class="carousel-item active">
-        <div class="row">
-          <div class="col-4" v-for="event in allEvents[0]" :key="event.id">
+        <div style="gap: 0.2rem" class="d-flex justify-content-center">
+          <div class="" v-for="event in allEvents[0]" :key="event.id">
             <div class="card" style="width: 18rem;">
               <img height="100" src="../../ectd/easy-american-pancake-recipe.jpg" class="card-img-top" alt="...">
@@ -97,6 +98,6 @@
 <!--      Sto Ako listata e pomala od 3 !!!!!!! -->
       <div class="carousel-item" v-for="eventGroup in allEvents.slice(1)" :key="eventGroup">
-        <div class="row" >
-          <div class="col-4" v-for="event in eventGroup" :key="event.id">
+        <div class="d-flex justify-content-center" >
+          <div style="gap: 0.2rem" class="" v-for="event in eventGroup" :key="event.id">
             <div class="card" style="width: 18rem;">
               <img height="100" src="../../ectd/easy-american-pancake-recipe.jpg" class="card-img-top" alt="...">
@@ -127,3 +128,8 @@
 <style scoped>
 
+.carousel-control-prev-icon,
+.carousel-control-next-icon {
+  filter: invert(100%); /* This turns white into black */
+}
+
 </style>
